Package com.databricks.jdbc.model.client.thrift.generated

## Class TGetResultSetMetadataResp

- java.lang.Object
- - com.databricks.jdbc.model.client.thrift.generated.TGetResultSetMetadataResp

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable<TGetResultSetMetadataResp>`, `org.apache.thrift.TBase<TGetResultSetMetadataResp,​TGetResultSetMetadataResp._Fields>`, `org.apache.thrift.TSerializable`

    @Generated(value="Autogenerated by Thrift Compiler (0.19.0)",
               date="2024-05-06")
    public class TGetResultSetMetadataResp
    extends Object
    implements org.apache.thrift.TBase<TGetResultSetMetadataResp,​TGetResultSetMetadataResp._Fields>, Serializable, Cloneable, Comparable<TGetResultSetMetadataResp>

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `TGetResultSetMetadataResp._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

### Field Summary

Fields
`ByteBuffer` `arrowSchema`
`TCacheLookupResult` `cacheLookupResult`
`long` `compressedBytes`
`boolean` `isStagingOperation`
`boolean` `lz4Compressed`
`static Map<TGetResultSetMetadataResp._Fields,​org.apache.thrift.meta_data.FieldMetaData>` `metaDataMap`
`TSparkRowSetType` `resultFormat`
`TTableSchema` `schema`
`TStatus` `status`
`long` `uncompressedBytes`

### Constructor Summary

Constructors
`TGetResultSetMetadataResp()`
`TGetResultSetMetadataResp​(TGetResultSetMetadataResp other)` Performs a deep copy on other.
`TGetResultSetMetadataResp​(TStatus status)`

### Method Summary

All Methods Instance Methods Concrete Methods
`ByteBuffer` `bufferForArrowSchema()`
`void` `clear()`
`int` `compareTo​(TGetResultSetMetadataResp other)`
`TGetResultSetMetadataResp` `deepCopy()`
`boolean` `equals​(TGetResultSetMetadataResp that)`
`boolean` `equals​(Object that)`
`TGetResultSetMetadataResp._Fields` `fieldForId​(int fieldId)`
`byte[]` `getArrowSchema()`
`TCacheLookupResult` `getCacheLookupResult()`
`long` `getCompressedBytes()`
`Object` `getFieldValue​(TGetResultSetMetadataResp._Fields field)`
`TSparkRowSetType` `getResultFormat()`
`TTableSchema` `getSchema()`
`TStatus` `getStatus()`
`long` `getUncompressedBytes()`
`int` `hashCode()`
`boolean` `isIsStagingOperation()`
`boolean` `isLz4Compressed()`
`boolean` `isSet​(TGetResultSetMetadataResp._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`boolean` `isSetArrowSchema()` Returns true if field arrowSchema is set (has been assigned a value) and false otherwise
`boolean` `isSetCacheLookupResult()` Returns true if field cacheLookupResult is set (has been assigned a value) and false otherwise
`boolean` `isSetCompressedBytes()` Returns true if field compressedBytes is set (has been assigned a value) and false otherwise
`boolean` `isSetIsStagingOperation()` Returns true if field isStagingOperation is set (has been assigned a value) and false otherwise
`boolean` `isSetLz4Compressed()` Returns true if field lz4Compressed is set (has been assigned a value) and false otherwise
`boolean` `isSetResultFormat()` Returns true if field resultFormat is set (has been assigned a value) and false otherwise
`boolean` `isSetSchema()` Returns true if field schema is set (has been assigned a value) and false otherwise
`boolean` `isSetStatus()` Returns true if field status is set (has been assigned a value) and false otherwise
`boolean` `isSetUncompressedBytes()` Returns true if field uncompressedBytes is set (has been assigned a value) and false otherwise
`void` `read​(org.apache.thrift.protocol.TProtocol iprot)`
`TGetResultSetMetadataResp` `setArrowSchema​(byte[] arrowSchema)`
`TGetResultSetMetadataResp` `setArrowSchema​(ByteBuffer arrowSchema)`
`void` `setArrowSchemaIsSet​(boolean value)`
`TGetResultSetMetadataResp` `setCacheLookupResult​(TCacheLookupResult cacheLookupResult)`
`void` `setCacheLookupResultIsSet​(boolean value)`
`TGetResultSetMetadataResp` `setCompressedBytes​(long compressedBytes)`
`void` `setCompressedBytesIsSet​(boolean value)`
`void` `setFieldValue​(TGetResultSetMetadataResp._Fields field, Object value)`
`TGetResultSetMetadataResp` `setIsStagingOperation​(boolean isStagingOperation)`
`void` `setIsStagingOperationIsSet​(boolean value)`
`TGetResultSetMetadataResp` `setLz4Compressed​(boolean lz4Compressed)`
`void` `setLz4CompressedIsSet​(boolean value)`
`TGetResultSetMetadataResp` `setResultFormat​(TSparkRowSetType resultFormat)`
`void` `setResultFormatIsSet​(boolean value)`
`TGetResultSetMetadataResp` `setSchema​(TTableSchema schema)`
`void` `setSchemaIsSet​(boolean value)`
`TGetResultSetMetadataResp` `setStatus​(TStatus status)`
`void` `setStatusIsSet​(boolean value)`
`TGetResultSetMetadataResp` `setUncompressedBytes​(long uncompressedBytes)`
`void` `setUncompressedBytesIsSet​(boolean value)`
`String` `toString()`
`void` `unsetArrowSchema()`
`void` `unsetCacheLookupResult()`
`void` `unsetCompressedBytes()`
`void` `unsetIsStagingOperation()`
`void` `unsetLz4Compressed()`
`void` `unsetResultFormat()`
`void` `unsetSchema()`
`void` `unsetStatus()`
`void` `unsetUncompressedBytes()`
`void` `validate()`
`void` `write​(org.apache.thrift.protocol.TProtocol oprot)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### status

    public TStatus status

#### schema

    public TTableSchema schema

#### resultFormat

    public TSparkRowSetType resultFormat

See Also:
  `TSparkRowSetType`

#### lz4Compressed

    public boolean lz4Compressed

#### arrowSchema

    public ByteBuffer arrowSchema

#### cacheLookupResult

    public TCacheLookupResult cacheLookupResult

See Also:
  `TCacheLookupResult`

#### uncompressedBytes

    public long uncompressedBytes

#### compressedBytes

    public long compressedBytes

#### isStagingOperation

    public boolean isStagingOperation

#### metaDataMap

    public static final Map<TGetResultSetMetadataResp._Fields,​org.apache.thrift.meta_data.FieldMetaData> metaDataMap

### Constructor Detail

#### TGetResultSetMetadataResp

    public TGetResultSetMetadataResp()

#### TGetResultSetMetadataResp

    public TGetResultSetMetadataResp​(TStatus status)

#### TGetResultSetMetadataResp

    public TGetResultSetMetadataResp​(TGetResultSetMetadataResp other)

Performs a deep copy on other.

### Method Detail

#### deepCopy

    public TGetResultSetMetadataResp deepCopy()

Specified by:
  `deepCopy` in interface `org.apache.thrift.TBase<TGetResultSetMetadataResp,​TGetResultSetMetadataResp._Fields>`

#### clear

    public void clear()

Specified by:
  `clear` in interface `org.apache.thrift.TBase<TGetResultSetMetadataResp,​TGetResultSetMetadataResp._Fields>`

#### getStatus

    public TStatus getStatus()

#### setStatus

    public TGetResultSetMetadataResp setStatus​(TStatus status)

#### unsetStatus

    public void unsetStatus()

#### isSetStatus

    public boolean isSetStatus()

Returns true if field status is set (has been assigned a value) and false otherwise

#### setStatusIsSet

    public void setStatusIsSet​(boolean value)

#### getSchema

    public TTableSchema getSchema()

#### setSchema

    public TGetResultSetMetadataResp setSchema​(TTableSchema schema)

#### unsetSchema

    public void unsetSchema()

#### isSetSchema

    public boolean isSetSchema()

Returns true if field schema is set (has been assigned a value) and false otherwise

#### setSchemaIsSet

    public void setSchemaIsSet​(boolean value)

#### getResultFormat

    public TSparkRowSetType getResultFormat()

See Also:
  `TSparkRowSetType`

#### setResultFormat

    public TGetResultSetMetadataResp setResultFormat​(TSparkRowSetType resultFormat)

See Also:
  `TSparkRowSetType`

#### unsetResultFormat

    public void unsetResultFormat()

#### isSetResultFormat

    public boolean isSetResultFormat()

Returns true if field resultFormat is set (has been assigned a value) and false otherwise

#### setResultFormatIsSet

    public void setResultFormatIsSet​(boolean value)

#### isLz4Compressed

    public boolean isLz4Compressed()

#### setLz4Compressed

    public TGetResultSetMetadataResp setLz4Compressed​(boolean lz4Compressed)

#### unsetLz4Compressed

    public void unsetLz4Compressed()

#### isSetLz4Compressed

    public boolean isSetLz4Compressed()

Returns true if field lz4Compressed is set (has been assigned a value) and false otherwise

#### setLz4CompressedIsSet

    public void setLz4CompressedIsSet​(boolean value)

#### getArrowSchema

    public byte[] getArrowSchema()

#### bufferForArrowSchema

    public ByteBuffer bufferForArrowSchema()

#### setArrowSchema

    public TGetResultSetMetadataResp setArrowSchema​(byte[] arrowSchema)

#### setArrowSchema

    public TGetResultSetMetadataResp setArrowSchema​(ByteBuffer arrowSchema)

#### unsetArrowSchema

    public void unsetArrowSchema()

#### isSetArrowSchema

    public boolean isSetArrowSchema()

Returns true if field arrowSchema is set (has been assigned a value) and false otherwise

#### setArrowSchemaIsSet

    public void setArrowSchemaIsSet​(boolean value)

#### getCacheLookupResult

    public TCacheLookupResult getCacheLookupResult()

See Also:
  `TCacheLookupResult`

#### setCacheLookupResult

    public TGetResultSetMetadataResp setCacheLookupResult​(TCacheLookupResult cacheLookupResult)

See Also:
  `TCacheLookupResult`

#### unsetCacheLookupResult

    public void unsetCacheLookupResult()

#### isSetCacheLookupResult

    public boolean isSetCacheLookupResult()

Returns true if field cacheLookupResult is set (has been assigned a value) and false otherwise

#### setCacheLookupResultIsSet

    public void setCacheLookupResultIsSet​(boolean value)

#### getUncompressedBytes

    public long getUncompressedBytes()

#### setUncompressedBytes

    public TGetResultSetMetadataResp setUncompressedBytes​(long uncompressedBytes)

#### unsetUncompressedBytes

    public void unsetUncompressedBytes()

#### isSetUncompressedBytes

    public boolean isSetUncompressedBytes()

Returns true if field uncompressedBytes is set (has been assigned a value) and false otherwise

#### setUncompressedBytesIsSet

    public void setUncompressedBytesIsSet​(boolean value)

#### getCompressedBytes

    public long getCompressedBytes()

#### setCompressedBytes

    public TGetResultSetMetadataResp setCompressedBytes​(long compressedBytes)

#### unsetCompressedBytes

    public void unsetCompressedBytes()

#### isSetCompressedBytes

    public boolean isSetCompressedBytes()

Returns true if field compressedBytes is set (has been assigned a value) and false otherwise

#### setCompressedBytesIsSet

    public void setCompressedBytesIsSet​(boolean value)

#### isIsStagingOperation

    public boolean isIsStagingOperation()

#### setIsStagingOperation

    public TGetResultSetMetadataResp setIsStagingOperation​(boolean isStagingOperation)

#### unsetIsStagingOperation

    public void unsetIsStagingOperation()

#### isSetIsStagingOperation

    public boolean isSetIsStagingOperation()

Returns true if field isStagingOperation is set (has been assigned a value) and false otherwise

#### setIsStagingOperationIsSet

    public void setIsStagingOperationIsSet​(boolean value)

#### setFieldValue

    public void setFieldValue​(TGetResultSetMetadataResp._Fields field,
                              Object value)

Specified by:
  `setFieldValue` in interface `org.apache.thrift.TBase<TGetResultSetMetadataResp,​TGetResultSetMetadataResp._Fields>`

#### getFieldValue

    public Object getFieldValue​(TGetResultSetMetadataResp._Fields field)

Specified by:
  `getFieldValue` in interface `org.apache.thrift.TBase<TGetResultSetMetadataResp,​TGetResultSetMetadataResp._Fields>`

#### isSet

    public boolean isSet​(TGetResultSetMetadataResp._Fields field)

Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

Specified by:
  `isSet` in interface `org.apache.thrift.TBase<TGetResultSetMetadataResp,​TGetResultSetMetadataResp._Fields>`

#### equals

    public boolean equals​(Object that)

Overrides:
  `equals` in class `Object`

#### equals

    public boolean equals​(TGetResultSetMetadataResp that)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### compareTo

    public int compareTo​(TGetResultSetMetadataResp other)

Specified by:
  `compareTo` in interface `Comparable<TGetResultSetMetadataResp>`

#### fieldForId

    public TGetResultSetMetadataResp._Fields fieldForId​(int fieldId)

Specified by:
  `fieldForId` in interface `org.apache.thrift.TBase<TGetResultSetMetadataResp,​TGetResultSetMetadataResp._Fields>`

#### read

    public void read​(org.apache.thrift.protocol.TProtocol iprot)
              throws org.apache.thrift.TException

Specified by:
  `read` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### write

    public void write​(org.apache.thrift.protocol.TProtocol oprot)
               throws org.apache.thrift.TException

Specified by:
  `write` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### validate

    public void validate()
                  throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`